#ifndef __PCFX_PAD_H
#define __PCFX_PAD_H

void FXPAD_SetInput(int port, const char *type, void *ptr);

uint32 FXPAD_Read32(uint32 A);
uint16 FXPAD_Read16(uint32 A);
uint8 FXPAD_Read8(uint32 A);

void FXPAD_Write8(uint32 A, uint8 V);
void FXPAD_Write16(uint32 A, uint16 V);
void FXPAD_Write32(uint32 A, uint32 V);

void FXPAD_Frame(void);
int FXPAD_StateAction(StateMem *sm, int load, int data_only);

void FXPAD_Update(void);
void FXPAD_ResetTS(void);

extern InputInfoStruct PCFXInputInfo;

#endif
